-- --------------------------------------------------------
-- 主机:                           127.0.0.1
-- 服务器版本:                        5.6.32-log - MySQL Community Server (GPL)
-- 服务器操作系统:                      Win64
-- HeidiSQL 版本:                  11.0.0.5919
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 导出  表 shiro_perm.tb_admin 结构
CREATE TABLE IF NOT EXISTS `tb_admin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(20) DEFAULT NULL COMMENT '用户名',
  `realname` varchar(32) DEFAULT NULL COMMENT '姓名',
  `password` varchar(60) DEFAULT NULL COMMENT '密码',
  `user_status` char(1) DEFAULT NULL COMMENT '状态',
  `gender` char(1) DEFAULT NULL COMMENT '性别',
  `private_salt` char(8) DEFAULT NULL COMMENT '随机盐',
  `tel` char(11) DEFAULT NULL COMMENT '手机号',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

-- 正在导出表  shiro_perm.tb_admin 的数据：~2 rows (大约)
/*!40000 ALTER TABLE `tb_admin` DISABLE KEYS */;
INSERT INTO `tb_admin` (`id`, `username`, `realname`, `password`, `user_status`, `gender`, `private_salt`, `tel`) VALUES
	(1, 'luo', '罗运动', 'aa5a5ebdee0a2c58a5311c971c46dcd5', '1', '1', '607416', '11010101100'),
	(2, 'zhou', NULL, '9acc8567090292c995aa3afbdbdd9ff2', '1', '2', '51020', '22222222222'),
	(3, 'admin', '超级用户', 'aa5a5ebdee0a2c58a5311c971c46dcd5', '1', '1', '607416', '110'),
	(4, 'zs', NULL, '5f3df0be728a691c61bc83620f7c3cdf', '1', '1', '0864750', '120');
/*!40000 ALTER TABLE `tb_admin` ENABLE KEYS */;

-- 导出  表 shiro_perm.tb_admin_role 结构
CREATE TABLE IF NOT EXISTS `tb_admin_role` (
  `admin_id` int(11) NOT NULL COMMENT '用户ID',
  `role_id` int(11) NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`admin_id`,`role_id`),
  KEY `FK_admin_role_role` (`role_id`),
  CONSTRAINT `FK_admin_role_admin` FOREIGN KEY (`admin_id`) REFERENCES `tb_admin` (`id`),
  CONSTRAINT `FK_admin_role_role` FOREIGN KEY (`role_id`) REFERENCES `tb_role` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='管理员用户-角色中间表';

-- 正在导出表  shiro_perm.tb_admin_role 的数据：~4 rows (大约)
/*!40000 ALTER TABLE `tb_admin_role` DISABLE KEYS */;
INSERT INTO `tb_admin_role` (`admin_id`, `role_id`) VALUES
	(3, 1),
	(1, 2),
	(3, 2),
	(2, 3),
	(3, 3);
/*!40000 ALTER TABLE `tb_admin_role` ENABLE KEYS */;

-- 导出  表 shiro_perm.tb_permission 结构
CREATE TABLE IF NOT EXISTS `tb_permission` (
  `id` int(11) NOT NULL,
  `name` varchar(50) NOT NULL COMMENT '权限名称',
  `code` varchar(64) NOT NULL COMMENT '权限关键字',
  `url` varchar(100) DEFAULT NULL COMMENT '权限请求路径',
  PRIMARY KEY (`id`),
  UNIQUE KEY `code` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 正在导出表  shiro_perm.tb_permission 的数据：~8 rows (大约)
/*!40000 ALTER TABLE `tb_permission` DISABLE KEYS */;
INSERT INTO `tb_permission` (`id`, `name`, `code`, `url`) VALUES
	(1, '用户管理', 'user', NULL),
	(2, '用户新增', 'user:add', '/user/add'),
	(3, '用户修改', 'user:update', '/user/update/*'),
	(4, '用户ID查询', 'user:select:id', '/user/id/*'),
	(5, '用户列表查询', 'user:select', '/user/all'),
	(6, '仓库管理', 'storage', NULL),
	(7, '仓库列表查询', 'storage:select', '/storage/all'),
	(8, '仓库ID查询', 'storage:select:id', '/storage/*');
/*!40000 ALTER TABLE `tb_permission` ENABLE KEYS */;

-- 导出  表 shiro_perm.tb_role 结构
CREATE TABLE IF NOT EXISTS `tb_role` (
  `id` int(11) NOT NULL,
  `name` varchar(50) NOT NULL COMMENT '角色名称',
  `code` varchar(32) NOT NULL DEFAULT '' COMMENT '角色关键字',
  `intro` varchar(64) DEFAULT NULL COMMENT '描述',
  PRIMARY KEY (`id`),
  UNIQUE KEY `code` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 正在导出表  shiro_perm.tb_role 的数据：~3 rows (大约)
/*!40000 ALTER TABLE `tb_role` DISABLE KEYS */;
INSERT INTO `tb_role` (`id`, `name`, `code`, `intro`) VALUES
	(1, '超级管理员', 'role_superman', '超级管理员'),
	(2, '用户管理员', 'role_user', '只对用户的CRUD有效果'),
	(3, '仓库管理员', 'role_storage', '管理仓库进出');
/*!40000 ALTER TABLE `tb_role` ENABLE KEYS */;

-- 导出  表 shiro_perm.tb_role_perm 结构
CREATE TABLE IF NOT EXISTS `tb_role_perm` (
  `role_id` int(11) NOT NULL,
  `perm_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`role_id`,`perm_id`),
  KEY `FK_role_perm_permission` (`perm_id`,`role_id`) USING BTREE,
  CONSTRAINT `FK_role_perm_permission` FOREIGN KEY (`perm_id`) REFERENCES `tb_permission` (`id`),
  CONSTRAINT `FK_role_perm_role` FOREIGN KEY (`role_id`) REFERENCES `tb_role` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 正在导出表  shiro_perm.tb_role_perm 的数据：~12 rows (大约)
/*!40000 ALTER TABLE `tb_role_perm` DISABLE KEYS */;
INSERT INTO `tb_role_perm` (`role_id`, `perm_id`) VALUES
	(1, 1),
	(1, 2),
	(1, 3),
	(1, 4),
	(1, 5),
	(1, 6),
	(1, 7),
	(2, 1),
	(2, 2),
	(2, 3),
	(2, 4),
	(2, 5),
	(3, 6),
	(3, 7);
/*!40000 ALTER TABLE `tb_role_perm` ENABLE KEYS */;

-- 导出  表 shiro_perm.tb_storage 结构
CREATE TABLE IF NOT EXISTS `tb_storage` (
  `id` int(11) NOT NULL,
  `name` varchar(50) NOT NULL DEFAULT '' COMMENT '仓库名称',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 正在导出表  shiro_perm.tb_storage 的数据：~2 rows (大约)
/*!40000 ALTER TABLE `tb_storage` DISABLE KEYS */;
INSERT INTO `tb_storage` (`id`, `name`) VALUES
	(1, '杭州仓库'),
	(2, '北京仓库');
/*!40000 ALTER TABLE `tb_storage` ENABLE KEYS */;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
